{% extends 'base.html.twig' %}

{% block title %}Profile index{% endblock %}

{% block body %}
    <h1>Profile index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>FirstName</th>
                <th>BirthDate</th>
                <th>Biography</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for profile in profiles %}
            <tr>
                <td>{{ profile.id }}</td>
                <td>{{ profile.name }}</td>
                <td>{{ profile.firstName }}</td>
                <td>{{ profile.birthDate ? profile.birthDate|date('Y-m-d') : '' }}</td>
                <td>{{ profile.biography }}</td>
                <td>
                    <a href="{{ path('app_profile_show', {'id': profile.id}) }}">show</a>
                    <a href="{{ path('app_profile_edit', {'id': profile.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_profile_new') }}">Create new</a>
{% endblock %}
